Bug 540127 - Review Request: qterm - BBS client designed for BBS browsing
Summary: Review Request: qterm - BBS client designed for BBS browsing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Howard Ning
QA Contact: Fedora Extras Quality Assurance
URL: http://qterm.sourceforge.net
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 13:57 UTC by Chen Lei
Modified: 2010-04-29 02:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-29 02:53:01 UTC
mrlhwliberty: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chen Lei 2009-11-22 13:57:51 UTC
QTerm is a BBS client for X Window System. It supports telnet,ssh1 and
ssh2 protocols. It also supports zmodem, URL detect, mouse action.

SPEC file: http://dl.dropbox.com/u/1338197/1/qterm.spec
SRPM file: http://dl.dropbox.com/u/1338197/1/qterm-0.5.7-0.fc12.src.rpm

Comment 1 Howard Ning 2009-12-12 02:44:15 UTC
The /usr/share/icons/ is hard coded in your desktop file while you uses the macro %{buildroot}%{_datadir}/icons to install the icons.

In addition, I can't build your package:
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_PHONON_INCLUDE_DIR (ADVANCED)
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src/pic
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src/cursor
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src/scheme
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src/scripts
   used as include directory in directory /home/Liberty/rpmbuild/BUILD/qterm-0.5.7/src/po

-- Configuring incomplete, errors occurred!
error: Bad exit status from /var/tmp/rpm-tmp.ViqvvI (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.ViqvvI (%build)

Comment 2 Chen Lei 2009-12-12 03:16:35 UTC
The package can be build successfully in koji, also %{buildroot}%{_datadir}/icons is removed by sed. Maybe your computer are missing some devel packages.

Comment 3 Howard Ning 2009-12-12 03:22:31 UTC
That's strange. So you have built with mock? The BuildRequire shouldn't be missing. I am on Fedora 12 x86-64.

Comment 4 Chen Lei 2009-12-12 04:53:35 UTC
There is no need to include the following packages or their dependencies as BuildRequires because they would occur too often. These packages are considered the minimum build environment. The derived list of all deps pulled in by this list is on Packaging:FullExceptionList .

bash
bzip2
coreutils
cpio
diffutils
fedora-release
findutils
gawk
gcc
gcc-c++
grep
gzip
info
make
patch
redhat-rpm-config
rpm-build
sed
shadow-utils
tar
unzip
util-linux-ng
which

Comment 5 Howard Ning 2009-12-12 18:15:10 UTC
Of course I have these packages installed. But seems a problem of phonon.
The QT_PHONON_INCLUDE_DIR is not defined even I have phonon-devel installed.

Comment 7 Chen Lei 2010-01-19 08:40:03 UTC
New upstream released(0.5.10)
SRPM: http://dl.dropbox.com/u/1338197/1/qterm-0.5.10-1.fc12.src.rpm
SPEC: http://dl.dropbox.com/u/1338197/1/qterm.spec

Comment 8 Howard Ning 2010-04-23 17:09:25 UTC
I installed on a Fedora 12 (Newly installed with a minimal LXDE environment and latest updates). When i run qterm it gives the error as follows. Is it an upstream issue or a missing dependency?

using "org.freedesktop.Notifications" for popups 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
Aborted (core dumped)

backtrace:
Program received signal SIGSEGV, Segmentation fault.
0x01072de4 in ?? () from /usr/lib/libQtGui.so.4
(gdb) bt
#0  0x01072de4 in ?? () from /usr/lib/libtQtGui.so.4
#1  0x0126faff in void qt_memfill<unsigned int>(unsigned int*, unsigned int, int) () from /usr/lib/libQtGui.so.4
#2  0x0125b95f in ?? () from /usr/lib/libQtGui.so.4
#3  0x012438f4 in ?? () from /usr/lib/libQtGui.so.4
#4  0x0124b619 in ?? () from /usr/lib/libQtGui.so.4
#5  0x011d51ab in QPainter::fillRect(QRect const&, QBrush const&) ()
   from /usr/lib/libQtGui.so.4
#6  0x010d3e61 in QWidgetPrivate::paintBackground(QPainter*, QRegion const&, int) const () from /usr/lib/libQtGui.so.4
#7  0x010d4ccd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#8  0x01293665 in ?? () from /usr/lib/libQtGui.so.4
#9  0x01293adb in ?? () from /usr/lib/libQtGui.so.4
#10 0x010c5793 in QWidgetPrivate::syncBackingStore(QRegion const&) ()
   from /usr/lib/libQtGui.so.4
#11 0x010ef6a8 in ?? () from /usr/lib/libQtGui.so.4
#12 0x010fb27a in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/libQtGui.so.4
#13 0x0112799a in ?? () from /usr/lib/libQtGui.so.4
#14 0x0060efb8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#15 0x006128e8 in ?? () from /lib/libglib-2.0.so.0

Comment 9 Chen Lei 2010-04-24 01:32:47 UTC
It works fine on gnome, though it also has some warings - "org.freedesktop.Notifications" for popups 
Connecting to deprecated signal
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString).

Comment 10 Chen Lei 2010-04-24 01:34:24 UTC
I cannot repeat this core dump on KDE and gnome, you can try in on more common DESKTOP environments.

Comment 11 Robin Lee 2010-04-24 06:46:40 UTC
I tried it in both KDE and LXDE. Though it throws out some warnings, but it works well in both desktop environments.

Comment 12 Howard Ning 2010-04-24 11:00:10 UTC
I did a fresh install of the Fedora 13 Beta from Live CD with Gnome desktop environment. And then install the package from koji using yum. I don't have enough space to install all 73 debuginfo. The only thing that is meaningful backtrace is main.cpp:153.

Comment 13 Chen Lei 2010-04-24 11:23:35 UTC
Try to disable selinux.

Comment 14 Howard Ning 2010-04-24 12:04:11 UTC
I disabled the SELinux, but the problem persist. I did a more informative backtrace from Fedora 12:

Program received signal SIGSEGV, Segmentation fault.
qt_memfill32_sse2 (dest=0xb7d55590, value=4292137160, count=15004)
    at painting/qdrawhelper_sse2.cpp:88
88	    case 3:      _mm_store_si128(dst128++, value128);
(gdb) bt
#0  qt_memfill32_sse2 (dest=0xb7d55590, value=4292137160, count=15004)
    at painting/qdrawhelper_sse2.cpp:88
#1  0x010b3aff in qt_memfill<quint32> (dest=0xb7d55590, color=4292137160, 
    count=15004) at ../../src/gui/painting/qdrawhelper_p.h:1535
#2  0x0109f95f in qt_rectfill<unsigned int> (rasterBuffer=0x81c2010, x=0, 
    y=490, width=682, height=22, color=4292137160)
    at ../../src/gui/painting/qdrawhelper_p.h:1573
#3  qt_rectfill_template<unsigned int> (rasterBuffer=0x81c2010, x=0, y=490, 
    width=682, height=22, color=4292137160) at painting/qdrawhelper.cpp:7404
#4  qt_rectfill_quint32 (rasterBuffer=0x81c2010, x=0, y=490, width=682, 
    height=22, color=4292137160) at painting/qdrawhelper.cpp:7417
#5  0x010878f4 in fillRect_normalized (r=<value optimized out>, 
    data=0x83fcc90, pe=0x83b82c0) at painting/qpaintengine_raster.cpp:1488
#6  0x0108f619 in QRasterPaintEngine::fillRect (this=0x81cc458, r=..., 
    data=0x83fcc90) at painting/qpaintengine_raster.cpp:1880
#7  0x010191ab in QPainter::fillRect (this=0xbfffe948, r=..., brush=...)
    at painting/qpainter.cpp:6663
#8  0x00f17e61 in fillRegion (this=0x81c2308, painter=0xbfffe948, rgn=..., 
    flags=5) at kernel/qwidget.cpp:2159
#9  QWidgetPrivate::paintBackground (this=0x81c2308, painter=0xbfffe948, 
    rgn=..., flags=5) at kernel/qwidget.cpp:2190
#10 0x00f18ccd in QWidgetPrivate::drawWidget (this=0x81c2308, pdev=0x83b87f0, 
    rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x83ad3f8)
---Type <return> to continue, or q <return> to quit---
    at kernel/qwidget.cpp:5317
#11 0x010d7665 in QWidgetBackingStore::sync (this=0x83ad3f8)
    at painting/qbackingstore.cpp:1291
#12 0x010d7adb in QWidgetBackingStore::sync (this=0x83ad3f8, 
    exposedWidget=0x81c2098, exposedRegion=...)
    at painting/qbackingstore.cpp:1096
#13 0x00f09793 in QWidgetPrivate::syncBackingStore (this=0x81c2308, region=...)
    at kernel/qwidget.cpp:1681
#14 0x00f336a8 in QETWidget::translatePaintEvent (this=0x81c2098, 
    event=0xbffff0ec) at kernel/qapplication_x11.cpp:5083
#15 0x00f3f27a in QApplication::x11ProcessEvent (this=0xbffff488, 
    event=0xbffff0ec) at kernel/qapplication_x11.cpp:3406
#16 0x00f6b99a in x11EventSourceDispatch (s=0x81825f8, callback=0, 
    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#17 0x00863fb8 in g_main_dispatch (context=0x8181c90) at gmain.c:1960
#18 IA__g_main_context_dispatch (context=0x8181c90) at gmain.c:2513
#19 0x008678e8 in g_main_context_iterate (context=0xc58f70, block=1, 
    dispatch=1, self=0x817fa80) at gmain.c:2591
#20 0x00867a14 in IA__g_main_context_iteration (context=0x8181c90, may_block=1)
    at gmain.c:2654
#21 0x0054ce46 in QEventDispatcherGlib::processEvents (this=0x817f980, 
    flags=...) at kernel/qeventdispatcher_glib.cpp:412
#22 0x00f6b586 in QGuiEventDispatcherGlib::processEvents (this=0x817f980, 
---Type <return> to continue, or q <return> to quit---
    flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x005232da in QEventLoop::processEvents (this=0xbffff3e4, flags=...)
    at kernel/qeventloop.cpp:149
#24 0x0052361a in QEventLoop::exec (this=0xbffff3e4, flags=...)
    at kernel/qeventloop.cpp:201
#25 0x00525ce7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#26 0x00ebd278 in QApplication::exec () at kernel/qapplication.cpp:3579
#27 0x080985ce in main ()

Comment 15 Chen Lei 2010-04-24 12:14:01 UTC
rpm -q qt qt-x11
Which qt version do you have?

Comment 16 Chen Lei 2010-04-24 12:18:16 UTC
Try http://prdownloads.sourceforge.net/qterm/qterm-0.5.10-bin.tar.bz2
Can binary version work on you PC?

Comment 17 Chen Lei 2010-04-24 12:33:01 UTC
I cannot find anything special on main.cpp, also there is no relative bug report available on debian and gentoo's bugzilla.

Can other Qt4 programs work well on you PC?

Comment 18 Howard Ning 2010-04-24 12:35:46 UTC
For F13 beta:
qt-4.6.2-13.fc13.x86_64
qt-x11-4.6.2-13.fc13.x86_64

For F12 in vm:
qt-4.6.2-8.fc12.i686
qt-x11-4.6.2-8.fc12.i686

The binary version can't run because missing dependency
libcrypto.so.0.9.8

While openssh package provide only 
/usr/lib/libcrypto.so.1.0.0

Creating a symbolic link from libcrypto.so.1.0.0 to libcrypto.so.0.9.8 will
result in segfault.

Comment 19 Chen Lei 2010-04-24 12:50:14 UTC
I have no idea on how to solve this problem, I still cannot repeat this core dump on my F12 box.
It seems others also run qterm well.

Comment 20 Howard Ning 2010-04-24 14:00:58 UTC
Could you test it on a live CD or a virtual machine with a new install?

Comment 21 Chen Lei 2010-04-24 14:19:30 UTC
(In reply to comment #20)
> Could you test it on a live CD or a virtual machine with a new install?    

Don't need to do so, it's meaning meaningless.

ldd /usr/bin/qterm
You'll find it only requires on some quite common libs(qt-x11 openssl phonon). 

I think this package can be approved, I ask some people to test it. No core dump find.

Comment 22 Robin Lee 2010-04-24 14:29:07 UTC
Which locale you are using?
(In reply to comment #20)
> Could you test it on a live CD or a virtual machine with a new install?

Comment 23 Howard Ning 2010-04-24 14:41:57 UTC
LANG=en_US.utf8 in both F12 and F13 beta virtual machines. 

It is quite strange that it runs fine in my laptop with F13 beta (Install by DVD, X86_64) while it can not run in F12 (i686) and F13 beta (X86_64 Install by Gnome Live CD).

Comment 24 Robin Lee 2010-04-24 16:14:25 UTC
* Summary
  - "BBS client written in Qt" should be enough

* License
  - Double check the licenses of these files and write a just License tag.
src/ssh/crc32.cpp
src/ssh/crc32.h
src/ssh/ssh2.h
src/ssh/ssh1.h
src/wallet.h

* BuildRoot tag should be removed.

* %description
  - The first paragraph should be better like this:
QTerm is a BBS client for X Window System. It supports Telnet, SSH1 and SSH2
protocols, and also supports ZMODEM, URL detection and mouse gesture.

  - The second paragraph seems redundant and ambiguious.

* %prep
  - The sed commands are not necessary now. The upstream files are all in Unix EOL.

Comment 25 Chen Lei 2010-04-24 16:59:17 UTC
(In reply to comment #24)
> * Summary
>   - "BBS client written in Qt" should be enough
Not a blocker
> * License
>   - Double check the licenses of these files and write a just License tag.
> src/ssh/crc32.cpp
> src/ssh/crc32.h
> src/ssh/ssh2.h
> src/ssh/ssh1.h
> src/wallet.h
See http://blog.gmane.org/gmane.linux.redhat.fedora.legal/month=20080901
> * BuildRoot tag should be removed.
> * %description
>   - The first paragraph should be better like this:
> QTerm is a BBS client for X Window System. It supports Telnet, SSH1 and SSH2
> protocols, and also supports ZMODEM, URL detection and mouse gesture.
>   - The second paragraph seems redundant and ambiguious.
> * %prep
>   - The sed commands are not necessary now. The upstream files are all in Unix
Not a blocker too.

Comment 26 Howard Ning 2010-04-24 17:56:48 UTC
I have tested on a Fedora 12 previously installed from Live CD (Fedora 12 Live Game respin i686, not the latest update though). It meets all dependencies and when I try to run it, it gives me an error:

[ujo@localhost ~]$ qterm 
qterm: symbol lookup error: qterm: undefined symbol: _ZN9QListData7detach3Ev

The package is built from here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2134380

While I try it on a Fedora 12 VM installed from DVD is working fine.

Comment 27 Chen Lei 2010-04-24 18:08:31 UTC
(In reply to comment #26)
> I have tested on a Fedora 12 previously installed from Live CD (Fedora 12 Live
> Game respin i686, not the latest update though). It meets all dependencies and
> when I try to run it, it gives me an error:
> [ujo@localhost ~]$ qterm 
> qterm: symbol lookup error: qterm: undefined symbol: _ZN9QListData7detach3Ev
You should update qt and qt-x11 to the 4.6.x version since the qt version in koji is qt 4.6.2.

> The package is built from here:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=2134380
> While I try it on a Fedora 12 VM installed from DVD is working fine.

Comment 28 Howard Ning 2010-04-24 20:10:56 UTC
After tried different LiveCD and installations. I have verified it is a KVM  related issue. QTerm will crash under KVM no matter using VirtManger or qemu-kvm. The package itself is good.

Comment 29 Chen Lei 2010-04-25 01:51:48 UTC
Thanks for review!

New Package CVS Request
=======================
Package Name: qterm
Short Description: QTerm is a BBS client for X Window System written in Qt.
Owners: supercyper
Branches: F-13 F-12 F-11
InitialCC

Comment 30 Kevin Fenzi 2010-04-26 03:52:06 UTC
mrlhwliberty@gmail.com: I am unable to find your address in the "packagers" group. You must be in this group to approve package reviews. What is your Fedora account system name?

Also, if you are new to reviewing packages, I strongly advise you to use a checklist showing that you checked all the various guidelines and confirm that the package meets them.

Comment 31 Chen Lei 2010-04-26 04:23:03 UTC
(In reply to comment #30)
> mrlhwliberty@gmail.com: I am unable to find your address in the "packagers"
> group. You must be in this group to approve package reviews. What is your
> Fedora account system name?
> 
His FAS name is helloworld1, as I known only people who was already in packager group in fas can set Flags in bugzilla.

> Also, if you are new to reviewing packages, I strongly advise you to use a
> checklist showing that you checked all the various guidelines and confirm that
> the package meets them.    
He is new to packager group and I'll tell him to use a review template to perform a review next time. This small package is rather easy and seems already checked by him in https://bugzilla.redhat.com/show_bug.cgi?id=545405#c33.  I hope this package could be imported. 

Add patch for building against qt-4.7 
SRPM: http://dl.dropbox.com/u/1338197/1/qterm-0.5.10-1.fc12.src.rpm
SPEC: http://dl.dropbox.com/u/1338197/1/qterm.spec

Comment 32 Kevin Fenzi 2010-04-26 04:31:39 UTC
> His FAS name is helloworld1, as I known only people who was already in packager
>group in fas can set Flags in bugzilla.

Thank you. I don't know why my search wasn't finding by email address. ;(
Users in fedorabugs or any of various Red Hat groups can also set the flag... 

I will process this request in a few minutes. ;)

Comment 33 Kevin Fenzi 2010-04-26 04:32:51 UTC
CVS done (by process-cvs-requests.py).

Comment 34 Howard Ning 2010-04-26 11:21:12 UTC
(In reply to comment #32)
> > His FAS name is helloworld1, as I known only people who was already in packager
> >group in fas can set Flags in bugzilla.
> 
> Thank you. I don't know why my search wasn't finding by email address. ;(
> Users in fedorabugs or any of various Red Hat groups can also set the flag... 
> 
> I will process this request in a few minutes. ;)    

I have changed my email from liberty@live.com to this in both fast and bugzilla. Also I will explicitly list the checklist next time when doing formal review since I am new.  For this package,  I have checked against the formal review guidelines. Sorry for the inconvenience.


Note You need to log in before you can comment on or make changes to this bug.